. ../../env.production

service=$(basename $PWD)
secrets="../../secrets/$service"

redo-ifchange ../../env.production \
  $secrets/application-key-id \
  $secrets/application-key \
  $secrets/passphrase

read B2_APPLICATION_KEY_ID < $secrets/application-key-id
read B2_APPLICATION_KEY < $secrets/application-key
export BUCKET_NAME=${DOMAIN}-backup

export DESTINATION=b2://${B2_APPLICATION_KEY_ID}:${B2_APPLICATION_KEY}@${BUCKET_NAME}

read PASSPHRASE < $secrets/passphrase
env PASSPHRASE=$PASSPHRASE duplicity backup ../../data $DESTINATION >&2
env PASSPHRASE=$PASSPHRASE duplicity remove-older-than 28D $DESTINATION >&2
